Apache Tomcat 7.0.42

## org.apache.tomcat.util.http.fileupload.util.mime
Class MimeUtility

    java.lang.Object
      org.apache.tomcat.util.http.fileupload.util.mime.MimeUtility

    public final class MimeUtility

extends Object

Utility class to decode MIME texts.

Since:
  1.3

Method Summary
`static String` `decodeText(String text)` Decode a string of text obtained from a mail header into its proper form.

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Method Detail

### decodeText

    public static String decodeText(String text)
                             throws UnsupportedEncodingException

  Decode a string of text obtained from a mail header into its proper form. The text generally will consist of a string of tokens, some of which may be encoded using base64 encoding.

  Parameters:
    `text` - The text to decode.
  Returns:
    The decoded text string.
  Throws:
    `UnsupportedEncodingException` - if the detected encoding in the input text is not supported.

Apache Tomcat 7.0.42

Copyright © 2000-2013 Apache Software Foundation. All Rights Reserved.